Bug 1022577 - open_basedir value conflicts with Dns.php code
open_basedir value conflicts with Dns.php code
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: horde (Show other bugs)
19
noarch Linux
unspecified Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
fst_owner=Sparks
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 10:52 EDT by Xavier Van Dessel
Modified: 2015-02-17 12:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:47:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Van Dessel 2013-10-23 10:52:39 EDT
Description of problem:

On one side, this is a code snippet from
/usr/share/pear/Horde/Core/Factory/Dns.php

  if (is_readable('/etc/resolv.conf')) {

On the other side, this is part of the http configuration file for horde which is distributed with fc18 horde package (and most probably several other variant RPMs):

         php_admin_value open_basedir 
"/usr/share/horde:/etc/horde:/usr/share/pear:/tmp:/usr/share/php"

This states that the http engine should not be allowed to access any 
data outside the specified directories when running horde code.

It is clear that both statements are contradictory: testing whether 
you can read /etc/resolv.conf, but also installing a rule that you 
cannot access it.

The only net effect are repeated useless error messages in the syslog like this one:

Oct 23 16:19:22 XXXXX HORDE: [turba] PHP ERROR: is_readable(): open_basedir restriction in effect. File(/etc/resolv.conf) is not within the allowed path(s): (/usr/share/horde:/etc/horde:/usr/share/pear:/tmp:/usr/share/php) [pid 30697 on line 15 of "/usr/share/pear/Horde/Core/Factory/Dns.php"]
Oct 23 16:24:22 XXXXX HORDE: [turba] PHP ERROR: is_readable(): open_basedir restriction in effect. File(/etc/resolv.conf) is not within the allowed path(s): (/usr/share/horde:/etc/horde:/usr/share/pear:/tmp:/usr/share/php) [pid 30697 on line 15 of "/usr/share/pear/Horde/Core/Factory/Dns.php"]
Oct 23 16:29:22 XXXXX HORDE: [turba] PHP ERROR: is_readable(): open_basedir restriction in effect. File(/etc/resolv.conf) is not within the allowed path(s): (/usr/share/horde:/etc/horde:/usr/share/pear:/tmp:/usr/share/php) [pid 30697 on line 15 of "/usr/share/pear/Horde/Core/Factory/Dns.php"]

Version-Release number of selected component (if applicable):
horde-3.3.13.fc19
horde 5.1.4 upgrade
turba 4.1.2 upgrade

How reproducible:
, then upgrade (via pear upgrade) horde and turba to the mentioned levels. Access the horde system.

Steps to Reproduce:
1. install horde from fc19 RPM (verify the horde.conf contents)
2. using pear upgrade and/or install, get horde 5.1.4 and turba 4.1.2
3. log on to the horde system
4. check the messages system log or httpd logs for open_basedir related errors.

Actual results:
See PHP ERROR log above

Expected results:
no errors: either horde should not read /etc/resolv.conf, or open_basedir should not forbid it.

Additional info:
Note that turba is only needed as it calls Dns.php. Most probably there are other horde modules using it.

Similar bug submitted to the horde bug system, where they refuse to recognize this as a bug because they don't manage the horde.conf file. The link to their bug:
http://bugs.horde.org/ticket/12788
(I could not find the horde bug tracker in the drop-down list of the external bug item below).
Comment 1 Fedora Admin XMLRPC Client 2014-08-21 12:46:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Eric Christensen 2014-11-20 16:20:17 EST
Package has been retired.  Leaving bug open for anyone that may un-retire the package.
Comment 3 Fedora End Of Life 2015-01-09 15:20:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:47:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.